<?php
include("../../includes/session.php");
include("../../includes/db.php");
include("../../includes/liborders.inc.php");
session(2);

//elenco categorie abbigliamento, lavori, taglie
$abbigliamentoCat = getAbbigliamentoCat(true);
$lavori = getLavori();
$taglie = getTaglie();
// print_r($taglie);echo "<br>";die();
// print_r($_SESSION);echo "<br>";//die();
// $cod = $_SESSION['user']['cod'];
//dati ordine in corso
$result = mysql_query("SELECT * FROM ordini WHERE ord_status = 1 AND ord_datafine >= CURDATE() LIMIT 1");
if(mysql_num_rows($result) == 1){
	$_SESSION['ord_id'] = mysql_result($result,0,'ord_id');
	$stagione_id = mysql_result($result,0,'ord_stagione');
	$stagione = getStagione($stagione_id);
	$stagione_ico = getStagione(mysql_result($result,0,'ord_stagione'),true);
	$anno = mysql_result($result,0,'ord_anno');
	$ord_datafine = strftime('%d/%m/%Y',strtotime(mysql_result($result,0,'ord_datafine')));




	echo '
	<div class="activeorder">
		<div class="fLeft"><img src="../../../images/'.$stagione_ico.'" />Ordine '.$stagione.'  / '.$anno.'</div>
		<div class="fRight"><img src="../../../images/icons/termine.png" />Termine prenotazioni '.$ord_datafine.'</div>
		<div class="clear"><!-- --></div>
	</div>
	<div class="activeorder_sub">
	Selezionare l\'icona del capo di abbigliamento che si desidera cambiare o modificare taglia e mansione se diversi da quelli indicati
	</div>
	<div style="border:0px solid #000000; height:52px;">
	<img style="border:0px solid #000000;float:right;margin-right:38px; cursor:pointer; width:50px; height:50px;" title="Genera" onclick="diag(event,400,\'pdfPrint.php?cod='.$_SESSION['user']['cod'].'&ord_id='.$_SESSION['ord_id'].'\',\'Generazione ordine\')" src="../../../images/icons/printer_pdf.png" />
	</div>
	';

	//<div style="border:0px solid #000000; height:52px;">
	//<a style="border:0px solid #000000;float:right;margin-right:38px;" href="../../dialogs/pdfPrint.php?cod='.$_SESSION['user']['cod'].'&ord_id='.$_SESSION['ord_id'].'" target="_blank">
	//<img style="width:50px; height:50px;" src="../../../images/icons/printer_pdf.png" />
	//</a>
	//</div>

	// <a href="../../dialogs/print_order_generate.php?cod='.$_SESSION['user']['cod'].'&ord_id='.$_SESSION['ord_id'].'" target="_blank">print</a>
	// <img class="tt" title="Genera" onclick="diag(event,400,\'order_generate.php?id='.$_SESSION['ord_id'].'\',\'Generazione ordine\')" src="../../../images/icons/generate.png" />
	// <a class="lavIcon tt" href="abbigliamento_choose.php" target="_blank">print</a>

}else{
	die('<div class="noactiveorder">Nessuna fornitura vestiario in corso</div>');
}

$articoli = array();
//estraggo tutte le categorie di articoli disponibili per ogni lavoratore in quest'ordine
//ORDER BY abbcat_id ASC, lavoro_id ASC
$sql = sprintf("
		SELECT abbcat_id,lavoro_id FROM ordini_abb
		LEFT JOIN ordini_abb_lav ON ordini_abb.ordabb_id = ordini_abb_lav.ordabb_id
		WHERE ordini_abb.ord_id = %s

	",
	mysql_real_escape_string($_SESSION['ord_id'])
);
// echo $sql;	die();
$result = mysql_query($sql);
$n = 0;
while($row = mysql_fetch_array($result)){
	// print_r($row);echo "<br>";
	// $articoli[$row['abbcat_id']][$row['lavoro_id']]++;
	// $articoli[$row['abbcat_id']]++;

	// array_push($articoli, $n);
	if(!isset($articoli[$row['abbcat_id']][$row['lavoro_id']])){
		$articoli[$row['abbcat_id']][$row['lavoro_id']] = 0;
	} else {
		$articoli[$row['abbcat_id']][$row['lavoro_id']]++;
	}
	$n++;
	// print_r($articoli[$row['abbcat_id']]);echo "<br>";
	// print_r($articoli);echo "<br>";
}
// die();
//elenco lavoratori che possono ricevere vestiario


$sql = sprintf("
		SELECT * FROM lavoratori
		LEFT JOIN lavoratori_tgl ON lavoratori.lav_cod = lavoratori_tgl.lav_cod
		LEFT JOIN lavoratori_lav ON lavoratori_tgl.lavoro_id = lavoratori_lav.lavoro_id
		WHERE
		imp_cod = %s AND
		lavoratori_tgl.lavtgl_annullato <> 1 AND
		lavoratori_tgl.lavoro_id <> 99 AND
		lavoratori.pos_id = 0 AND
		lavoratori.lav_abb = 1 AND
		lavoratori.lav_annullato <> 1
		ORDER BY lav_anagrafica ASC
	",
	mysql_real_escape_string($_SESSION['user']['cod'])
);
// echo $sql;	die();
$result = mysql_query($sql);

if(mysql_num_rows($result) > 0){

	echo '
	<div class="dip_list">
		<div class="dip_list_row dip_list_header">
			<label style="width:250px">lavoratore</label>
			<label style="width:230px">mansione</label>
			<label style="width:110px">giacca</label>
			<label style="width:110px">giubbotto</label>
			<label style="width:110px">pantaloni</label>
			<label style="width:80px">scarpe</label>
		</div>
	';

	while($row = mysql_fetch_array($result)){
		// print_r($row);echo "<br>";

		$lav_anagrafica = ucwords(strtolower($row['lav_anagrafica']));
		$opt_lavoro = "";
		foreach($lavori as $lav){
			$opt_lavoro .= '<option value="'.$lav->lavoro_id.'"'. ($lav->lavoro_id == $row['lavoro_id'] ? ' selected="selected"' : '') .'>'.$lav->lavoro_descr.'</option>';
		}

		echo '<div class="dip_list_row"><label>'.$lav_anagrafica.'</label>
			<select onchange="changeLav(this,'.$row['lav_cod'].')" class="sel_lavoro">'.$opt_lavoro.'</select>';


		//estraggo la taglia di questo lavoratore per questo tipo di capo
		$arr_taglie = array(
			"Giacca_1" 	=> $row['lavtgl_giacca_est'],
			"Giacca_0" 	=> $row['lavtgl_giacca_inv'],
			"Pantaloni_1" => $row['lavtgl_pant_est'],
			"Pantaloni_0" => $row['lavtgl_pant_inv'],
			"Giubbotto_1"  => $row['lavtgl_giub_est'],
			"Giubbotto_0"  => $row['lavtgl_giub_inv'],
			"Scarpe_1" 	=> $row['lavtgl_scarp_est'],
			"Scarpe_0" 	=> $row['lavtgl_scarp_inv']
		);


		foreach($abbigliamentoCat as $cat){

			$tgl = $arr_taglie[$cat->abbcat_descr.'_'.$stagione_id];
			$tgl_field = $cat->abbcat_descr.'_'.$stagione_id;

			//taglie di questo capo di abbigliamento
			$opt_tgl = "";
			foreach($taglie[$cat->abbcat_tipo] as $op_tgl)
				$opt_tgl .= '<option value="'.$op_tgl.'"'. ($tgl == $op_tgl ? ' selected="selected"' : '') .'>'.$op_tgl.'</option>';

			// echo "<br>";
			// print_r($articoli);echo "<br>";
			// echo $cat->abbcat_id;echo "<br>";
			// echo $row['lavoro_id'];echo "<br>";
			// echo $articoli[$cat->abbcat_id][$row['lavoro_id']];echo "<br><br>";

			//$on_off = !$articoli[$cat->abbcat_id][$row['lavoro_id']] ? '-off' : '-on';
			$on_off = !isset($articoli[$cat->abbcat_id][$row['lavoro_id']]) ? '-off' : '-on';
			// echo $on_off; die();

			$img = '../../../images/icons/'.strtolower($cat->abbcat_descr).$on_off.'.png';
			$qs = 'lavoro_id=\' + $(this).prevAll(\'.sel_lavoro\').val() + \'&cat_id='.$cat->abbcat_id.'&lav_cod='.$row['lav_cod'];
			$diag_title = addslashes($lav_anagrafica.' - '.$cat->abbcat_descr.' '.strtolower($stagione));
			echo '<img class="lavIcon tt" onclick="diag(event,700,\'abbigliamento_choose.php?'.$qs.'\',\''.$diag_title.'\')" title="'.$cat->abbcat_descr.'" src="'.$img.'" />';
			echo '<select class="sel_tgl" onchange="changeTgl(this,'.$row['lav_cod'].',\''.$tgl_field.'\')">'.$opt_tgl.'</select>';

			unset($opt_tgl);
		}

		unset($opt_lavoro);

		echo '</div>';
	}
	echo '</div>';
}
?>
